[SM-Commit] GIT changes to master grimoire by Vasil Yonkov (a508be434fce69812cff73341d1673a8420b9169)

Eric Sandall eric at sandall.us
Wed Jan 13 16:53:55 EST 2010


Quoting Vasil Yonkov <scm at sourcemage.org>:

> GIT changes to master grimoire by Vasil Yonkov <spirtbrat at sourcemage.org>:
>
>  video/totem-pl-parser/DEPENDS |    5 +----
>  video/totem-pl-parser/HISTORY |    4 ++++
>  2 files changed, 5 insertions(+), 4 deletions(-)
>
> New commits:
> commit a508be434fce69812cff73341d1673a8420b9169
> Author: Vasil Yonkov <spirtbrat at sourcemage.org>
> Commit: Vasil Yonkov <spirtbrat at sourcemage.org>
>
>     totem-pl-parser: removed dependency on evolution-data-server
>
> diff --git a/video/totem-pl-parser/DEPENDS b/video/totem-pl-parser/DEPENDS
> index bbed0a7..51c6f71 100755
> --- a/video/totem-pl-parser/DEPENDS
> +++ b/video/totem-pl-parser/DEPENDS
> @@ -1,6 +1,3 @@
> -depends glib2                  &&
>  depends -sub "2.4" gmime       &&
>  depends gtk+2                  &&
> -depends libxml2                &&
> -depends gnome-vfs2             &&
> -depends evolution-data-server
> +depends gnome-vfs2
> diff --git a/video/totem-pl-parser/HISTORY b/video/totem-pl-parser/HISTORY
> index 33d84bb..aa297ef 100644
> --- a/video/totem-pl-parser/HISTORY
> +++ b/video/totem-pl-parser/HISTORY
> @@ -1,3 +1,7 @@
> +2010-01-13 Vasil Yonkov <spirtbrat at sourcemage.org>
> +	* DEPENDS: removed evolution-data-server
> +	           removed already provided dependencies libxml2, glib2

You mean libxml2 and glib2 are only required because some of the  
dependencies require them? If totem-pl-parser directly uses them it  
needs to depend on them directly (for UP_TRIGGERS) and not rely on  
child dependencies.

-sandalle

-- 
Eric Sandall                     |  Source Mage GNU/Linux Developer
eric at sandall.us PGP: 0xA8EFDD61  |  http://www.sourcemage.org/
http://eric.sandall.us/          |  http://counter.li.org/  #196285



More information about the SM-Commit mailing list